### Property

# Gio TlsConnection:rehandshake-mode

deprecated: 2.60 since: 2.28

#### Declaration

    property rehandshake-mode: Gio.TlsRehandshakeMode [ read, write, construct ]

#### Description [src]

The rehandshaking mode. See g_tls_connection_set_rehandshake_mode().

Type:`GTlsRehandshakeMode`

Available since: 2.28

Deprecated since: 2.60

The rehandshake mode is ignored.

Default value | G_TLS_REHANDSHAKE_SAFELY
Getter method | `g_tls_connection_get_rehandshake_mode()`
Setter method | `g_tls_connection_set_rehandshake_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no